gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.SocketAccessible

Contents

- Exported types
- Methods
  - embed

Description

No description available in the introspection data.

Since: 3.24.30

Synopsis

- newtype SocketAccessible = SocketAccessible (ManagedPtr SocketAccessible)
- class (GObject o, IsDescendantOf SocketAccessible o) => IsSocketAccessible o
- toSocketAccessible :: (MonadIO m, IsSocketAccessible o) => o -> m SocketAccessible
- socketAccessibleEmbed :: (HasCallStack, MonadIO m, IsSocketAccessible a) => a -> Text -> m ()

# Exported types

newtype SocketAccessible Source #

Memory-managed wrapper type.

Constructors

SocketAccessible (ManagedPtr SocketAccessible) |

#### Instances

Instances details

Eq SocketAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible Methods (==) :: SocketAccessible -> SocketAccessible -> Bool Source # (/=) :: SocketAccessible -> SocketAccessible -> Bool Source #
GObject SocketAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible
ManagedPtrNewtype SocketAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible Methods toManagedPtr :: SocketAccessible -> ManagedPtr SocketAccessible Source #
TypedObject SocketAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible Methods glibType :: IO GType Source #
HasParentTypes SocketAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible
IsGValue (Maybe SocketAccessible) Source # | Convert `SocketAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.SocketAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe SocketAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe SocketAccessible) Source #
type ParentTypes SocketAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible type ParentTypes SocketAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf SocketAccessible o) => IsSocketAccessible o Source #

Type class for types which can be safely cast to `SocketAccessible`, for instance with `toSocketAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf SocketAccessible o) => IsSocketAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.SocketAccessible

toSocketAccessible :: (MonadIO m, IsSocketAccessible o) => o -> m SocketAccessible Source #

Cast to `SocketAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, embed, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.

## embed

socketAccessibleEmbed :: (HasCallStack, MonadIO m, IsSocketAccessible a) => a -> Text -> m () Source #

No description available in the introspection data.